Page MenuHomePhabricator

Reach a decision on which blocking tools AHT will build
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2017, 6:18 PM
TBolliger renamed this task from Consult on per-page blocking (quarterly goal 2.3) to On-wiki consultation: Blocking.Oct 11 2017, 6:52 PM
TBolliger renamed this task from On-wiki consultation: Blocking to Prepare for the on-wiki consultation Blocking.Oct 25 2017, 6:58 PM
TBolliger updated the task description. (Show Details)
TBolliger updated the task description. (Show Details)Oct 25 2017, 9:13 PM
TBolliger moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 8) board.
TBolliger added a subscriber: SPoore.

I searched through 400 results on Meta Wiki and only found a few pages and talk pages about Blocking proposals: https://meta.wikimedia.org/wiki/Community_health_initiative/Blocking_tools_and_improvements

Next up: search on ENWP and MediaWiki.org and Phabricator.

TBolliger added a comment.EditedOct 30 2017, 11:47 PM
  • Meta
  • MediaWiki.org
  • ENWP
  • Phab

now it's time to read through all of this and summarize.

TBolliger reassigned this task from TBolliger to SPoore.Nov 8 2017, 12:04 AM
TBolliger updated the task description. (Show Details)

@SPoore — I have searched, read, and documented. 👨🏻‍💻 I think it's in a good place to start crafting the consultations plans — what questions to ask, where to ask, and when to ask.

At the end of the consultation, we will want to have decided which blocking improvements or new blocking features the Wikimedia community wants us to build, to solve all three problems I listed on the meta page.

I have not performed any competitive analysis or reached out to other websites to see how they manage blocks. I think this can happen simultaneously to our on-wiki consultation.

TBolliger renamed this task from Prepare for the on-wiki consultation Blocking to On-wiki consultation Blocking.Nov 8 2017, 7:36 PM
TBolliger moved this task from AHT Sprint 8 to AHT Sprint 9 on the Anti-Harassment board.
TBolliger renamed this task from On-wiki consultation Blocking to On-wiki consultation for Blocking tools and improvements.Nov 21 2017, 9:27 PM
TBolliger updated the task description. (Show Details)
TBolliger renamed this task from On-wiki consultation for Blocking tools and improvements to Consultation: Blocking tools and improvements.Nov 27 2017, 5:10 PM
TBolliger moved this task from Untriaged to spare column on the Anti-Harassment board.
TBolliger updated the task description. (Show Details)
TBolliger renamed this task from Consultation: Blocking tools and improvements to Reach a decision on which blocking tools AHT will build.Feb 14 2018, 8:09 PM
TBolliger closed this task as Resolved.EditedFeb 28 2018, 6:23 PM
TBolliger moved this task from In progress to Done on the Anti-Harassment (AHT Sprint 15) board.

The Anti-Harassment Tools team will be investigating the following blocking tools in our next sprint, starting today:

We will also be implementing these two:

After this work we will likely build more granular tools to block users from specific pages, namespaces, uploading, and/or categories.